## com.google.gwt.user.client.ui
Interface PopupListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  MenuBar

Deprecated. use `CloseHandler` instead

    @Deprecated
    public interface PopupListener

extends java.util.EventListener

Event listener interface for popup events.

Method Summary
`void` | `onPopupClosed(PopupPanel sender, boolean autoClosed)` Deprecated. use `CloseHandler.onClose(com.google.gwt.event.logical.shared.CloseEvent<T>)` instead

Method Detail

### onPopupClosed

    @Deprecated
    void onPopupClosed(PopupPanel sender,
                                  boolean autoClosed)

  Deprecated. use `CloseHandler.onClose(com.google.gwt.event.logical.shared.CloseEvent<T>)` instead

  Fired when the popup is closed.

  Parameters:
    `sender` - popup being closed.
    `autoClosed` - `true` if the popup was automatically closed; `false` if it was closed programmatically.